Retrieve all Clusters
This endpoint enables retrieving all Clusters using pagination and optional filters.
The token can be generated using the Authentication API.
The name of your Kafka cluster.
Must be 63 characters or less and must begin and end with an alphanumeric character ([a-z0-9A-Z])
with dashes (-), underscores (_), dots (.), and alphanumerics between.
my-kafka-clusterPattern: ^[A-Za-z0-9][-A-Za-z0-9_.]*[A-Za-z0-9]$State of the resource. Resource states:
AVAILABLE: There are no pending modification requests for this item.
BUSY: There is at least one modification request pending and all following requests will be queued.
DEPLOYING: The resource is being created.
FAILED: The creation of the resource failed.
UPDATING: The resource is being updated.
FAILED_UPDATING: An update to the resource was not successful.
DESTROYING: A delete command was issued, and the resource is being deleted.
AVAILABLEReturned all requested Clusters successfully.
ID of the list of Cluster resources.
ed17eb1f-ac43-5670-9e63-8be33c475449The type of the resource.
The URL of the list of Cluster resources.
/clustersBad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /clusters HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "ed17eb1f-ac43-5670-9e63-8be33c475449",
"type": "collection",
"href": "/clusters",
"items": [
{
"id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
"type": "cluster",
"href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"message": "In progress.",
"brokerAddresses": [
"192.0.2.101:9093",
"192.0.2.102:9093",
"192.0.2.103:9093"
]
},
"properties": {
"name": "my-kafka-cluster",
"version": "4.0.0",
"size": "XS",
"connections": [
{
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"brokerAddresses": [
"192.0.2.101/24",
"192.0.2.102/24",
"192.0.2.103/24"
]
}
]
}
}
]
}Last updated
Was this helpful?